Topic
  • 1 reply
  • Latest Post - ‏2013-03-24T15:42:34Z by yn2000
yogesh1660
yogesh1660
3 Posts

Pinned topic SDK update error

‏2013-03-22T11:42:08Z |
I am using AIX 6.1 machine, where I have updated SDK using WAS update installer with fix pack 7.0.0-WS-WASSDK-AixPPC64-FP0000023.pak

After updating SDK , it is pointing to previous version of java.

In /usr directory there are 2 java folders java14 and java5

following are the output of the commands that we ran :

-bash-4.1# java -version
java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX build ca142-20080122 (SR10)
(JIT enabled: jitc))

-bash-4.1# which java
/usr/java14/jre/bin/java

After export commands it shows correct java version

-bash-4.1# export PATH=/usr/java5/jre/bin/:$PATH
-bash-4.1# export JAVA_HOME=/usr/java5/jre/

-bash-4.1# java -version
java version "1.5.0"
Java(TM) 2 Runtime Environment, Standard Edition (build pap32dev-20091106a (SR11 ))
IBM J9 VM (build 2.3, J2RE 1.5.0 IBM J9 2.3 AIX ppc-32 j9vmap3223-20091104 (JIT enabled)
J9VM - 20091103_45935_bHdSMr
JIT - 20091016_1845_r8
GC - 20091026_AA)
JCL - 20091106

-bash-4.1# which java
/usr/java5/jre/bin//java
But when I logout and then login, again it shows previous version of java.

Please help me on this.
Updated on 2013-03-24T15:42:34Z at 2013-03-24T15:42:34Z by yn2000
  • yn2000
    yn2000
    1086 Posts

    Re: SDK update error

    ‏2013-03-24T15:42:34Z  
    Which 'Security Management' product are you talking about?

    Rgds. YN.